"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1082da8e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1082da980>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1082daa20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1082daac0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1082dab60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1082dac00>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1082daca0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1082dad40>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1082dade0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1082dae80>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1082daf20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1082dafc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1082db060>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1082db100>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1082db1a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1082db240>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1082db2e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1082db380>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1082db420>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1082db4c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1082db560>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1082db600>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1082db6a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1082db740>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1082db7e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1082db880>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1082db920>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1082db9c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1082dba60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbb00>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbba0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbc40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbce0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbd80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbe20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbec0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1082dbf60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108324040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1083240e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108324180>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108324220>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1083242c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108324360>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108324400>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1083244a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108324540>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1083245e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108324680>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108324720>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1083247c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108324860>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108324900>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1083249a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108324a40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108324ae0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108324b80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108324c20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108324cc0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108324d60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108324e00>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108324ea0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108324f40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108324fe0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108325080>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108325120>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1083251c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108325260>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108325300>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1083253a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108325440>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1083254e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108325580>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108325620>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1083256c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108325760>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108325800>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1083258a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108325940>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1083259e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108325a80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108325bc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108325b20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108325c60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108325d00>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108325da0>)]
name: str = 'fr_HOCCN'
